Commit MetaInfo

Revision4474234c9f0afc9ead7bac7d872fad4246256c63 (tree)
Time2011-08-10 21:26:03
Authormasahino
Commitermasahino

Log Message

add file

Change Summary

Incremental Difference

diff -r d8237f3cfcd8 -r 4474234c9f0a test/Makefile.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/test/Makefile.in Wed Aug 10 21:26:03 2011 +0900
@@ -0,0 +1,553 @@
1+# Makefile.in generated by automake 1.10 from Makefile.am.
2+# @configure_input@
3+
4+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5+# 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
6+# This Makefile.in is free software; the Free Software Foundation
7+# gives unlimited permission to copy and/or distribute it,
8+# with or without modifications, as long as this notice is preserved.
9+
10+# This program is distributed in the hope that it will be useful,
11+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13+# PARTICULAR PURPOSE.
14+
15+@SET_MAKE@
16+
17+VPATH = @srcdir@
18+pkgdatadir = $(datadir)/@PACKAGE@
19+pkglibdir = $(libdir)/@PACKAGE@
20+pkgincludedir = $(includedir)/@PACKAGE@
21+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22+install_sh_DATA = $(install_sh) -c -m 644
23+install_sh_PROGRAM = $(install_sh) -c
24+install_sh_SCRIPT = $(install_sh) -c
25+INSTALL_HEADER = $(INSTALL_DATA)
26+transform = $(program_transform_name)
27+NORMAL_INSTALL = :
28+PRE_INSTALL = :
29+POST_INSTALL = :
30+NORMAL_UNINSTALL = :
31+PRE_UNINSTALL = :
32+POST_UNINSTALL = :
33+build_triplet = @build@
34+host_triplet = @host@
35+subdir = test
36+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
37+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
38+am__aclocal_m4_deps = $(top_srcdir)/configure.in
39+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
40+ $(ACLOCAL_M4)
41+mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
42+CONFIG_HEADER = $(top_builddir)/config.h
43+CONFIG_CLEAN_FILES =
44+LTLIBRARIES = $(noinst_LTLIBRARIES)
45+test_wmgeneral_la_LIBADD =
46+am_test_wmgeneral_la_OBJECTS = test-wmgeneral.lo wmgeneral.lo
47+test_wmgeneral_la_OBJECTS = $(am_test_wmgeneral_la_OBJECTS)
48+@WITH_CUTTER_TRUE@am_test_wmgeneral_la_rpath =
49+DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
50+depcomp = $(SHELL) $(top_srcdir)/depcomp
51+am__depfiles_maybe = depfiles
52+COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
53+ $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
54+LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
55+ --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
56+ $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
57+CCLD = $(CC)
58+LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
59+ --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
60+ $(LDFLAGS) -o $@
61+SOURCES = $(test_wmgeneral_la_SOURCES)
62+DIST_SOURCES = $(test_wmgeneral_la_SOURCES)
63+ETAGS = etags
64+CTAGS = ctags
65+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66+ACLOCAL = @ACLOCAL@
67+AMTAR = @AMTAR@
68+AR = @AR@
69+AUTOCONF = @AUTOCONF@
70+AUTOHEADER = @AUTOHEADER@
71+AUTOMAKE = @AUTOMAKE@
72+AWK = @AWK@
73+CC = @CC@
74+CCDEPMODE = @CCDEPMODE@
75+CFLAGS = @CFLAGS@
76+CPP = @CPP@
77+CPPFLAGS = @CPPFLAGS@
78+CUTTER = @CUTTER@
79+CUTTER_CFLAGS = @CUTTER_CFLAGS@
80+CUTTER_LIBS = @CUTTER_LIBS@
81+CYGPATH_W = @CYGPATH_W@
82+DEFS = @DEFS@
83+DEPDIR = @DEPDIR@
84+DSYMUTIL = @DSYMUTIL@
85+DUMPBIN = @DUMPBIN@
86+ECHO_C = @ECHO_C@
87+ECHO_N = @ECHO_N@
88+ECHO_T = @ECHO_T@
89+EGREP = @EGREP@
90+EXEEXT = @EXEEXT@
91+FGREP = @FGREP@
92+GREP = @GREP@
93+IMLIB2_CFLAGS = @IMLIB2_CFLAGS@
94+IMLIB2_LIBS = @IMLIB2_LIBS@
95+INSTALL = @INSTALL@
96+INSTALL_DATA = @INSTALL_DATA@
97+INSTALL_PROGRAM = @INSTALL_PROGRAM@
98+INSTALL_SCRIPT = @INSTALL_SCRIPT@
99+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
100+LD = @LD@
101+LDFLAGS = @LDFLAGS@
102+LIBOBJS = @LIBOBJS@
103+LIBS = $(CUTTER_LIBS) \
104+ @X_LIBS@ @X_EXTRA_LIBS@ -lX11 -lXpm -lXext @IMLIB2_LIBS@
105+
106+LIBTOOL = @LIBTOOL@
107+LIPO = @LIPO@
108+LN_S = @LN_S@
109+LTLIBOBJS = @LTLIBOBJS@
110+MAKEINFO = @MAKEINFO@
111+MKDIR_P = @MKDIR_P@
112+NM = @NM@
113+NMEDIT = @NMEDIT@
114+OBJDUMP = @OBJDUMP@
115+OBJEXT = @OBJEXT@
116+OTOOL = @OTOOL@
117+OTOOL64 = @OTOOL64@
118+PACKAGE = @PACKAGE@
119+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
120+PACKAGE_NAME = @PACKAGE_NAME@
121+PACKAGE_STRING = @PACKAGE_STRING@
122+PACKAGE_TARNAME = @PACKAGE_TARNAME@
123+PACKAGE_VERSION = @PACKAGE_VERSION@
124+PATH_SEPARATOR = @PATH_SEPARATOR@
125+PKG_CONFIG = @PKG_CONFIG@
126+PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
127+PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
128+RANLIB = @RANLIB@
129+SED = @SED@
130+SET_MAKE = @SET_MAKE@
131+SHELL = @SHELL@
132+STRIP = @STRIP@
133+UIM_CFLAGS = @UIM_CFLAGS@
134+UIM_LIBS = @UIM_LIBS@
135+VERSION = @VERSION@
136+XMKMF = @XMKMF@
137+X_CFLAGS = @X_CFLAGS@
138+X_EXTRA_LIBS = @X_EXTRA_LIBS@
139+X_LIBS = @X_LIBS@
140+X_PRE_LIBS = @X_PRE_LIBS@
141+abs_builddir = @abs_builddir@
142+abs_srcdir = @abs_srcdir@
143+abs_top_builddir = @abs_top_builddir@
144+abs_top_srcdir = @abs_top_srcdir@
145+ac_ct_CC = @ac_ct_CC@
146+ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
147+am__include = @am__include@
148+am__leading_dot = @am__leading_dot@
149+am__quote = @am__quote@
150+am__tar = @am__tar@
151+am__untar = @am__untar@
152+bindir = @bindir@
153+build = @build@
154+build_alias = @build_alias@
155+build_cpu = @build_cpu@
156+build_os = @build_os@
157+build_vendor = @build_vendor@
158+builddir = @builddir@
159+datadir = @datadir@
160+datarootdir = @datarootdir@
161+docdir = @docdir@
162+dvidir = @dvidir@
163+exec_prefix = @exec_prefix@
164+host = @host@
165+host_alias = @host_alias@
166+host_cpu = @host_cpu@
167+host_os = @host_os@
168+host_vendor = @host_vendor@
169+htmldir = @htmldir@
170+includedir = @includedir@
171+infodir = @infodir@
172+install_sh = @install_sh@
173+libdir = @libdir@
174+libexecdir = @libexecdir@
175+localedir = @localedir@
176+localstatedir = @localstatedir@
177+mandir = @mandir@
178+mkdir_p = @mkdir_p@
179+oldincludedir = @oldincludedir@
180+pdfdir = @pdfdir@
181+prefix = @prefix@
182+program_transform_name = @program_transform_name@
183+psdir = @psdir@
184+sbindir = @sbindir@
185+sharedstatedir = @sharedstatedir@
186+srcdir = @srcdir@
187+sysconfdir = @sysconfdir@
188+target_alias = @target_alias@
189+top_builddir = @top_builddir@
190+top_srcdir = @top_srcdir@
191+@WITH_CUTTER_TRUE@TESTS = run-test.sh
192+@WITH_CUTTER_TRUE@TESTS_ENVIRONMENT = NO_MAKE=yes CUTTER="$(CUTTER)"
193+@WITH_CUTTER_TRUE@noinst_LTLIBRARIES = test_wmgeneral.la
194+ACLOCAL_AMFLAGS = $$ACLOCAL_ARGS
195+
196+#check_LTLIBRARIES = \
197+# test_wmgeneral.la
198+test_wmgeneral_la_SOURCES = test-wmgeneral.c $(top_srcdir)/src/wmgeneral.c
199+AM_CFLAGS = \
200+ $(CUTTER_CFLAGS)
201+
202+AM_LDFLAGS = \
203+ -module \
204+ -rpath `pwd`/.libs \
205+ -avoid-version \
206+ -no-undefined
207+
208+INCLUDES = -I$(top_srcdir)/src
209+all: all-am
210+
211+.SUFFIXES:
212+.SUFFIXES: .c .lo .o .obj
213+$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
214+ @for dep in $?; do \
215+ case '$(am__configure_deps)' in \
216+ *$$dep*) \
217+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
218+ && exit 0; \
219+ exit 1;; \
220+ esac; \
221+ done; \
222+ echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
223+ cd $(top_srcdir) && \
224+ $(AUTOMAKE) --foreign test/Makefile
225+.PRECIOUS: Makefile
226+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
227+ @case '$?' in \
228+ *config.status*) \
229+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
230+ *) \
231+ echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
232+ cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
233+ esac;
234+
235+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
236+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
237+
238+$(top_srcdir)/configure: $(am__configure_deps)
239+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
240+$(ACLOCAL_M4): $(am__aclocal_m4_deps)
241+ cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
242+
243+clean-noinstLTLIBRARIES:
244+ -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
245+ @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
246+ dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
247+ test "$$dir" != "$$p" || dir=.; \
248+ echo "rm -f \"$${dir}/so_locations\""; \
249+ rm -f "$${dir}/so_locations"; \
250+ done
251+test_wmgeneral.la: $(test_wmgeneral_la_OBJECTS) $(test_wmgeneral_la_DEPENDENCIES)
252+ $(LINK) $(am_test_wmgeneral_la_rpath) $(test_wmgeneral_la_OBJECTS) $(test_wmgeneral_la_LIBADD) $(LIBS)
253+
254+mostlyclean-compile:
255+ -rm -f *.$(OBJEXT)
256+
257+distclean-compile:
258+ -rm -f *.tab.c
259+
260+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-wmgeneral.Plo@am__quote@
261+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wmgeneral.Plo@am__quote@
262+
263+.c.o:
264+@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
265+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
266+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
267+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
268+@am__fastdepCC_FALSE@ $(COMPILE) -c $<
269+
270+.c.obj:
271+@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
272+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
273+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
274+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
275+@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
276+
277+.c.lo:
278+@am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
279+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
280+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
281+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
282+@am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
283+
284+wmgeneral.lo: $(top_srcdir)/src/wmgeneral.c
285+@am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT wmgeneral.lo -MD -MP -MF $(DEPDIR)/wmgeneral.Tpo -c -o wmgeneral.lo `test -f '$(top_srcdir)/src/wmgeneral.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wmgeneral.c
286+@am__fastdepCC_TRUE@ mv -f $(DEPDIR)/wmgeneral.Tpo $(DEPDIR)/wmgeneral.Plo
287+@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$(top_srcdir)/src/wmgeneral.c' object='wmgeneral.lo' libtool=yes @AMDEPBACKSLASH@
288+@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
289+@am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o wmgeneral.lo `test -f '$(top_srcdir)/src/wmgeneral.c' || echo '$(srcdir)/'`$(top_srcdir)/src/wmgeneral.c
290+
291+mostlyclean-libtool:
292+ -rm -f *.lo
293+
294+clean-libtool:
295+ -rm -rf .libs _libs
296+
297+ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
298+ list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
299+ unique=`for i in $$list; do \
300+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
301+ done | \
302+ $(AWK) ' { files[$$0] = 1; } \
303+ END { for (i in files) print i; }'`; \
304+ mkid -fID $$unique
305+tags: TAGS
306+
307+TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
308+ $(TAGS_FILES) $(LISP)
309+ tags=; \
310+ here=`pwd`; \
311+ list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
312+ unique=`for i in $$list; do \
313+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
314+ done | \
315+ $(AWK) ' { files[$$0] = 1; } \
316+ END { for (i in files) print i; }'`; \
317+ if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
318+ test -n "$$unique" || unique=$$empty_fix; \
319+ $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
320+ $$tags $$unique; \
321+ fi
322+ctags: CTAGS
323+CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
324+ $(TAGS_FILES) $(LISP)
325+ tags=; \
326+ here=`pwd`; \
327+ list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
328+ unique=`for i in $$list; do \
329+ if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
330+ done | \
331+ $(AWK) ' { files[$$0] = 1; } \
332+ END { for (i in files) print i; }'`; \
333+ test -z "$(CTAGS_ARGS)$$tags$$unique" \
334+ || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
335+ $$tags $$unique
336+
337+GTAGS:
338+ here=`$(am__cd) $(top_builddir) && pwd` \
339+ && cd $(top_srcdir) \
340+ && gtags -i $(GTAGS_ARGS) $$here
341+
342+distclean-tags:
343+ -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
344+
345+check-TESTS: $(TESTS)
346+ @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[ ]'; \
347+ srcdir=$(srcdir); export srcdir; \
348+ list=' $(TESTS) '; \
349+ if test -n "$$list"; then \
350+ for tst in $$list; do \
351+ if test -f ./$$tst; then dir=./; \
352+ elif test -f $$tst; then dir=; \
353+ else dir="$(srcdir)/"; fi; \
354+ if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
355+ all=`expr $$all + 1`; \
356+ case " $(XFAIL_TESTS) " in \
357+ *$$ws$$tst$$ws*) \
358+ xpass=`expr $$xpass + 1`; \
359+ failed=`expr $$failed + 1`; \
360+ echo "XPASS: $$tst"; \
361+ ;; \
362+ *) \
363+ echo "PASS: $$tst"; \
364+ ;; \
365+ esac; \
366+ elif test $$? -ne 77; then \
367+ all=`expr $$all + 1`; \
368+ case " $(XFAIL_TESTS) " in \
369+ *$$ws$$tst$$ws*) \
370+ xfail=`expr $$xfail + 1`; \
371+ echo "XFAIL: $$tst"; \
372+ ;; \
373+ *) \
374+ failed=`expr $$failed + 1`; \
375+ echo "FAIL: $$tst"; \
376+ ;; \
377+ esac; \
378+ else \
379+ skip=`expr $$skip + 1`; \
380+ echo "SKIP: $$tst"; \
381+ fi; \
382+ done; \
383+ if test "$$failed" -eq 0; then \
384+ if test "$$xfail" -eq 0; then \
385+ banner="All $$all tests passed"; \
386+ else \
387+ banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
388+ fi; \
389+ else \
390+ if test "$$xpass" -eq 0; then \
391+ banner="$$failed of $$all tests failed"; \
392+ else \
393+ banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
394+ fi; \
395+ fi; \
396+ dashes="$$banner"; \
397+ skipped=""; \
398+ if test "$$skip" -ne 0; then \
399+ skipped="($$skip tests were not run)"; \
400+ test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
401+ dashes="$$skipped"; \
402+ fi; \
403+ report=""; \
404+ if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
405+ report="Please report to $(PACKAGE_BUGREPORT)"; \
406+ test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
407+ dashes="$$report"; \
408+ fi; \
409+ dashes=`echo "$$dashes" | sed s/./=/g`; \
410+ echo "$$dashes"; \
411+ echo "$$banner"; \
412+ test -z "$$skipped" || echo "$$skipped"; \
413+ test -z "$$report" || echo "$$report"; \
414+ echo "$$dashes"; \
415+ test "$$failed" -eq 0; \
416+ else :; fi
417+
418+distdir: $(DISTFILES)
419+ @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
420+ topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
421+ list='$(DISTFILES)'; \
422+ dist_files=`for file in $$list; do echo $$file; done | \
423+ sed -e "s|^$$srcdirstrip/||;t" \
424+ -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
425+ case $$dist_files in \
426+ */*) $(MKDIR_P) `echo "$$dist_files" | \
427+ sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
428+ sort -u` ;; \
429+ esac; \
430+ for file in $$dist_files; do \
431+ if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
432+ if test -d $$d/$$file; then \
433+ dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
434+ if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
435+ cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
436+ fi; \
437+ cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
438+ else \
439+ test -f $(distdir)/$$file \
440+ || cp -p $$d/$$file $(distdir)/$$file \
441+ || exit 1; \
442+ fi; \
443+ done
444+check-am: all-am
445+ $(MAKE) $(AM_MAKEFLAGS) check-TESTS
446+check: check-am
447+all-am: Makefile $(LTLIBRARIES)
448+installdirs:
449+install: install-am
450+install-exec: install-exec-am
451+install-data: install-data-am
452+uninstall: uninstall-am
453+
454+install-am: all-am
455+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
456+
457+installcheck: installcheck-am
458+install-strip:
459+ $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
460+ install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
461+ `test -z '$(STRIP)' || \
462+ echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
463+mostlyclean-generic:
464+
465+clean-generic:
466+
467+distclean-generic:
468+ -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
469+
470+maintainer-clean-generic:
471+ @echo "This command is intended for maintainers to use"
472+ @echo "it deletes files that may require special tools to rebuild."
473+clean: clean-am
474+
475+clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
476+ mostlyclean-am
477+
478+distclean: distclean-am
479+ -rm -rf ./$(DEPDIR)
480+ -rm -f Makefile
481+distclean-am: clean-am distclean-compile distclean-generic \
482+ distclean-tags
483+
484+dvi: dvi-am
485+
486+dvi-am:
487+
488+html: html-am
489+
490+info: info-am
491+
492+info-am:
493+
494+install-data-am:
495+
496+install-dvi: install-dvi-am
497+
498+install-exec-am:
499+
500+install-html: install-html-am
501+
502+install-info: install-info-am
503+
504+install-man:
505+
506+install-pdf: install-pdf-am
507+
508+install-ps: install-ps-am
509+
510+installcheck-am:
511+
512+maintainer-clean: maintainer-clean-am
513+ -rm -rf ./$(DEPDIR)
514+ -rm -f Makefile
515+maintainer-clean-am: distclean-am maintainer-clean-generic
516+
517+mostlyclean: mostlyclean-am
518+
519+mostlyclean-am: mostlyclean-compile mostlyclean-generic \
520+ mostlyclean-libtool
521+
522+pdf: pdf-am
523+
524+pdf-am:
525+
526+ps: ps-am
527+
528+ps-am:
529+
530+uninstall-am:
531+
532+.MAKE: install-am install-strip
533+
534+.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
535+ clean-generic clean-libtool clean-noinstLTLIBRARIES ctags \
536+ distclean distclean-compile distclean-generic \
537+ distclean-libtool distclean-tags distdir dvi dvi-am html \
538+ html-am info info-am install install-am install-data \
539+ install-data-am install-dvi install-dvi-am install-exec \
540+ install-exec-am install-html install-html-am install-info \
541+ install-info-am install-man install-pdf install-pdf-am \
542+ install-ps install-ps-am install-strip installcheck \
543+ installcheck-am installdirs maintainer-clean \
544+ maintainer-clean-generic mostlyclean mostlyclean-compile \
545+ mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
546+ tags uninstall uninstall-am
547+
548+
549+echo-cutter:
550+ @echo $(CUTTER)
551+# Tell versions [3.59,3.63) of GNU make to not export all variables.
552+# Otherwise a system limit (for SysV at least) may be exceeded.
553+.NOEXPORT:
Show on old repository browser